<h1 align="center">
  ⚡ Bolt
</h1>
<br>
<div align="center">
  <strong>Rapid starter for your next React Native project</strong>
</div>
<br>
<div align="center">
    <a href="https://npmjs.org/package/bolt-starter">
      <img src="https://img.shields.io/npm/v/bolt-starter.svg?style=flat-square" alt="NPM version" />
    </a>
    <a href="https://npmjs.org/package/bolt-starter">
    <img src="https://img.shields.io/npm/dm/bolt-starter.svg?style=flat-square" alt="Downloads" />
    </a>
    <a href="https://github.com/feross/standard">
      <img src="https://img.shields.io/badge/code%20style-standard-brightgreen.svg?style=flat-square" alt="Standard" />
    </a>
    <a href="https://github.com/RichardLitt/standard-readme)">
      <img src="https://img.shields.io/badge/standard--readme-OK-green.svg?style=flat-square" alt="Standard Readme" />
    </a>
    <a href="https://badge.fury.io/gh/tiaanduplessis%2Fbolt-starter">
      <img src="https://badge.fury.io/gh/tiaanduplessis%2Fbolt-starter.svg?style=flat-square" alt="GitHub version" />
   </a>
</div>
<br>
<div align="center">
  Built with ❤︎ by <a href="tiaanduplessis.co.za">Tiaan</a> and <a href="https://github.com/tiaanduplessis/bolt/graphs/contributors">contributors</a>
</div>

<h2>Table of Contents</h2>
<details>
  <summary>Table of Contents</summary>
  <li><a href="#motivation">Motivation</a></li>
  <li><a href="#uses">Uses</a></li>
  <li><a href="#install">Install</a></li>
  <li><a href="#usage">Usage</a></li>
  <li><a href="#api">API</a></li>
  <li><a href="#others">Others</a></li>
  <li><a href="#contribute">Contribute</a></li>
  <li><a href="#license">License</a></li>
</details>

## Motivation

There are many [great starter projects](#others) for [React Native](https://facebook.github.io/react-native/). This one is used in production at [Full Facing](http://www.fullfacing.com) and comes with a logical setup to let you hit the ground running. It includes a basic todo application example.

## Uses

This starter relies on [many great modules](package.json) , including:

- [React Native Elements](https://github.com/react-native-community/react-native-elements)
- [React Navigation](https://reactnavigation.org/) - Start quickly with built-in navigators that deliver a seamless out-of-the box experience.
- [React Native Animatable](https://github.com/oblador/react-native-animatable) - Standard set of easy to use animations and declarative transitions for React Native
- [React Native Device Info](https://github.com/rebeccahughes/react-native-device-info) - Device Information for React Native iOS and Android
- [Jest](http://facebook.github.io/jest/) - Painless JavaScript Testing
- [lodash](https://lodash.com/) - A modern JavaScript utility library delivering modularity, performance & extras.
- [MobX](https://mobx.js.org/) - Simple, scalable state management
- [CodePush](http://codepush.tools/) - Push code updates to your apps, instantly
- [JavaScript Standard Style ](http://standardjs.com/) - One JavaScript Style Guide to Rule Them All
- [Husky](https://github.com/typicode/husky) - Git hooks made easy

## Install

To get started clone the repo and `cd` into it:

```sh
$ git clone https://github.com/tiaanduplessis/bolt.git NewApp; cd NewApp
```

Then install the dependencies:

```sh
$ yarn # npm i
```

If everything goes off smoothly you should be able to run the project.

```sh
$ react-native run-ios 
```
Or
```sh
$ react-native run-ios 
```

## Others

This starter project may not be exactly what your looking for and there are some amazing alternatives. I recommend you check out:

- [Ignite](https://github.com/infinitered/ignite)
- [pepperoni-app-kit](https://github.com/futurice/pepperoni-app-kit)
- [react-native-hackathon-starter](https://github.com/dabit3/react-native-hackathon-starter)
- [react-native-firebase-starter](https://github.com/jsappme/react-native-firebase-starter)

## Contribute

Contributions are welcome. Please open up an issue or create PR if you would like to help out.

Note: If editing the README, please conform to the [standard-readme](https://github.com/RichardLitt/standard-readme) specification.

## License

Licensed under the MIT License.